edu.northwestern.at.morphadorner.corpuslinguistics.postagger.smoothing.lexical

## Class DefaultLexicalSmoother

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.postagger.smoothing.lexical.AbstractLexicalSmoother
    - - edu.northwestern.at.morphadorner.corpuslinguistics.postagger.smoothing.lexical.AdditiveLexicalSmoother
      - - edu.northwestern.at.morphadorner.corpuslinguistics.postagger.smoothing.lexical.DefaultLexicalSmoother

- All Implemented Interfaces:
    LexicalSmoother, UsesLogger

      public class DefaultLexicalSmoother
      extends AdditiveLexicalSmoother
      implements LexicalSmoother

  Default lexical smoother.

  The default lexical smoother is an additive smoother which uses 0.5 as the additive smoothing constant (Lidstone smoothing).

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.postagger.smoothing.lexical.AdditiveLexicalSmoother

      `additiveAdjustmentValue, debug`

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.postagger.smoothing.lexical.AbstractLexicalSmoother

      `cachedLexicalProbabilities, logger, partOfSpeechTagger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultLexicalSmoother()` Create an additive lexical smoother.

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.postagger.smoothing.lexical.AdditiveLexicalSmoother

      `lexicalProbability`

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.postagger.smoothing.lexical.AbstractLexicalSmoother

      `cachedProbabilitiesCount, clearCachedProbabilities, getLogger, setLogger, setPartOfSpeechTagger`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.postagger.smoothing.lexical.LexicalSmoother

      `cachedProbabilitiesCount, clearCachedProbabilities, lexicalProbability, setPartOfSpeechTagger`

- - ### Constructor Detail

    - #### DefaultLexicalSmoother

          public DefaultLexicalSmoother()

      Create an additive lexical smoother.